<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile doxygen_version="1.9.1">
  <compound kind="file">
    <name>mainpage.dox</name>
    <path>libple/doc/doxygen/</path>
    <filename>mainpage_8dox.html</filename>
    <includes id="ple__locator_8h" name="ple_locator.h" local="no" imported="no">ple_locator.h</includes>
  </compound>
  <compound kind="file">
    <name>ple_config_defs.h</name>
    <path>libple/src/</path>
    <filename>ple__config__defs_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>_</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a32a3cf3d9dd914f5aeeca5423c157934</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>N_</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a75278405e7f034d2b1af80bfd94675fe</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>textdomain</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a5f80e8482ab93869489531a8c7ce7006</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>gettext</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a83b8be0887dede025766d25e2bb884c6</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>dgettext</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>ae442907adce8f0c5db97b4a0bde4969d</anchor>
      <arglist>(Domain, String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>dcgettext</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a8f39d8f7f55f21d4a1ea40f1dfb7d79e</anchor>
      <arglist>(Domain, String, Type)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>bindtextdomain</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>add6dfc1077058ff26d79cdb18099d58a</anchor>
      <arglist>(Domain, Directory)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>restrict</name>
      <anchorfile>ple__config__defs_8h.html</anchorfile>
      <anchor>a080abdcb9c02438f1cd2bb707af25af8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_coupling.c</name>
    <path>libple/src/</path>
    <filename>ple__coupling_8c.html</filename>
    <includes id="ple__defs_8h" name="ple_defs.h" local="yes" imported="no">ple_defs.h</includes>
    <includes id="ple__config__defs_8h" name="ple_config_defs.h" local="yes" imported="no">ple_config_defs.h</includes>
    <includes id="ple__coupling_8h" name="ple_coupling.h" local="yes" imported="no">ple_coupling.h</includes>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_name_to_id</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>ac2d0411ec817c0a5bcccebd776a60022</anchor>
      <arglist>(MPI_Comm comm, const char *group_name)</arglist>
    </member>
    <member kind="function">
      <type>ple_coupling_mpi_set_t *</type>
      <name>ple_coupling_mpi_set_create</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a80f173979407ece0469ceab8306f4d7b</anchor>
      <arglist>(int sync_flag, const char *app_type, const char *app_name, MPI_Comm base_comm, MPI_Comm app_comm)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_destroy</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a9bc5a989d473653d67319b1b6fbe5e5b</anchor>
      <arglist>(ple_coupling_mpi_set_t **s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_set_n_apps</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a45789ac9c482c1a136d15567bbbf330e</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_set_get_app_id</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a3cc64ea6576822a4064d4e1f1c2d6cc8</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>ple_coupling_mpi_set_info_t</type>
      <name>ple_coupling_mpi_set_get_info</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>acb673c1c88719869b369f4226049b899</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s, int app_id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_synchronize</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a511ea3983774674052c85c78966843a0</anchor>
      <arglist>(ple_coupling_mpi_set_t *s, int sync_flag, double time_step)</arglist>
    </member>
    <member kind="function">
      <type>const int *</type>
      <name>ple_coupling_mpi_set_get_status</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>ae452854eea5fd7edc889d9afebc72396</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>const double *</type>
      <name>ple_coupling_mpi_set_get_timestep</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a47cbdc88f914f20c0ba3901b7ec0386c</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_intracomm_create</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a82c14c912b7e5b89c52a3a14eab474c9</anchor>
      <arglist>(MPI_Comm base_comm, MPI_Comm app_comm, int distant_root, MPI_Comm *new_comm, int local_range[2], int distant_range[2])</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_dump</name>
      <anchorfile>ple__coupling_8c.html</anchorfile>
      <anchor>a5bb8157255bd269d788c22111bd1f090</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_coupling.h</name>
    <path>libple/src/</path>
    <filename>ple__coupling_8h.html</filename>
    <includes id="ple__defs_8h" name="ple_defs.h" local="yes" imported="no">ple_defs.h</includes>
    <class kind="struct">ple_coupling_mpi_set_info_t</class>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_INIT</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a87ebef7f05b5ddd13bbc7b25d2cb1e9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_NO_SYNC</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>ad45faddc922487714ec29906a9419ce3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_STOP</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a172280d58f05f453d91e0d0e4845f063</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_LAST</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>af1574b3f223c375fc04c7620e1b02b3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_NEW_ITERATION</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>ade8a4c4b0a3ab76c064e51704e07e691</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_REDO_ITERATION</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a769061f2cad035ea45d790764ca2a9a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_TS_MIN</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>af807a488133cf9d6fe4cf94c28fb9c9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_TS_LEADER</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>ac081f07c615f18a751450234037b437d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_UNSTEADY</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a3b0d36a5dac7b1a50d3b7ea6325bba15</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_STEADY</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a094c74fafa197347a43d40aa0a88daf2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_CONVERGED</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>af1eae8002c3c0b140070305f6500a73c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_USER_1</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a5de70c1b0328e168d6146621e4cba0ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_USER_2</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a544731156b1e499f3591b8d14bc55aa5</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_USER_3</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a992d91eec12ea9aab5982ef502d1c231</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_COUPLING_USER_4</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>aeea1f2fabe5b6592f6af4e12b143b0b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_name_to_id</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>ac2d0411ec817c0a5bcccebd776a60022</anchor>
      <arglist>(MPI_Comm comm, const char *group_name)</arglist>
    </member>
    <member kind="function">
      <type>ple_coupling_mpi_set_t *</type>
      <name>ple_coupling_mpi_set_create</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a80f173979407ece0469ceab8306f4d7b</anchor>
      <arglist>(int sync_flag, const char *app_type, const char *app_name, MPI_Comm base_comm, MPI_Comm app_comm)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_destroy</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a9bc5a989d473653d67319b1b6fbe5e5b</anchor>
      <arglist>(ple_coupling_mpi_set_t **s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_set_n_apps</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a45789ac9c482c1a136d15567bbbf330e</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_coupling_mpi_set_get_app_id</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a3cc64ea6576822a4064d4e1f1c2d6cc8</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>ple_coupling_mpi_set_info_t</type>
      <name>ple_coupling_mpi_set_get_info</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>acb673c1c88719869b369f4226049b899</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s, int app_id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_synchronize</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a511ea3983774674052c85c78966843a0</anchor>
      <arglist>(ple_coupling_mpi_set_t *s, int sync_flag, double time_step)</arglist>
    </member>
    <member kind="function">
      <type>const int *</type>
      <name>ple_coupling_mpi_set_get_status</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>ae452854eea5fd7edc889d9afebc72396</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>const double *</type>
      <name>ple_coupling_mpi_set_get_timestep</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a47cbdc88f914f20c0ba3901b7ec0386c</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_intracomm_create</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a82c14c912b7e5b89c52a3a14eab474c9</anchor>
      <arglist>(MPI_Comm base_comm, MPI_Comm app_comm, int distant_root, MPI_Comm *new_comm, int local_range[2], int distant_range[2])</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_coupling_mpi_set_dump</name>
      <anchorfile>ple__coupling_8h.html</anchorfile>
      <anchor>a5bb8157255bd269d788c22111bd1f090</anchor>
      <arglist>(const ple_coupling_mpi_set_t *s)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_defs.c</name>
    <path>libple/src/</path>
    <filename>ple__defs_8c.html</filename>
    <includes id="ple__config__defs_8h" name="ple_config_defs.h" local="yes" imported="no">ple_config_defs.h</includes>
    <includes id="ple__defs_8h" name="ple_defs.h" local="yes" imported="no">ple_defs.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>_</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a32a3cf3d9dd914f5aeeca5423c157934</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>N_</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a75278405e7f034d2b1af80bfd94675fe</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>textdomain</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a5f80e8482ab93869489531a8c7ce7006</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>gettext</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a83b8be0887dede025766d25e2bb884c6</anchor>
      <arglist>(String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>dgettext</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>ae442907adce8f0c5db97b4a0bde4969d</anchor>
      <arglist>(Domain, String)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>dcgettext</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a8f39d8f7f55f21d4a1ea40f1dfb7d79e</anchor>
      <arglist>(Domain, String, Type)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>bindtextdomain</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>add6dfc1077058ff26d79cdb18099d58a</anchor>
      <arglist>(Domain, Directory)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_printf</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a564e6e016e0b0763ba4888c1a33c8ba9</anchor>
      <arglist>(const char *const format,...)</arglist>
    </member>
    <member kind="function">
      <type>ple_printf_t *</type>
      <name>ple_printf_function_get</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>ad81909a66b36b8e6cc4034f364c0a42a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_printf_function_set</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a2078a93eadcdae80a4bf2744358d6dc4</anchor>
      <arglist>(ple_printf_t *const fct)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_error</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a447358bc1c2ad3f68e56e6e2beb75947</anchor>
      <arglist>(const char *const file_name, const int line_num, const int sys_error_code, const char *const format,...)</arglist>
    </member>
    <member kind="function">
      <type>ple_error_handler_t *</type>
      <name>ple_error_handler_get</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>ac94318f5092b467aa64a1629b44f6a94</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_error_handler_set</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a8f1cecc343e231b9826d7e211d9e42f8</anchor>
      <arglist>(ple_error_handler_t *handler)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_malloc</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>aab73d5f565ba18445b39625f36825cfa</anchor>
      <arglist>(size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_realloc</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>ab391c179a7cadb3f11a8eb265f723fb0</anchor>
      <arglist>(void *ptr, size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_free</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a936714011bb63007b68266c69f5f6410</anchor>
      <arglist>(void *ptr, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_mem_functions_get</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a31b0f2af0f176cabd2b358d924dea6e9</anchor>
      <arglist>(ple_mem_malloc_t **malloc_func, ple_mem_realloc_t **realloc_func, ple_mem_free_t **free_func)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_mem_functions_set</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a6ceb5f2d75fe7e938852ba7df184aff9</anchor>
      <arglist>(ple_mem_malloc_t *malloc_func, ple_mem_realloc_t *realloc_func, ple_mem_free_t *free_func)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ple_timer_wtime</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>a7abd7099c63967393121b740fd406e9b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ple_timer_cpu_time</name>
      <anchorfile>ple__defs_8c.html</anchorfile>
      <anchor>ad95b1e8bad6caded50ed81fa614ed866</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_defs.h</name>
    <path>libple/src/</path>
    <filename>ple__defs_8h.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>PLE_ABS</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>af10385b6341aa8f32c1fa4ee73b308ea</anchor>
      <arglist>(a)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MIN</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a773257ed2ac7061ee76b4f11df31c791</anchor>
      <arglist>(a, b)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MAX</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a236d2d77bd1370370d889fa4de6d0a0f</anchor>
      <arglist>(a, b)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MALLOC</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a9dd85627e99545acf316670c3bbc6848</anchor>
      <arglist>(_ptr, _ni, _type)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_REALLOC</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a806951bdb50cd0d191edb392787c768b</anchor>
      <arglist>(_ptr, _ni, _type)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_FREE</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a7292077293f26ff3d3839e05df55b9c5</anchor>
      <arglist>(_ptr)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MPI_TAG</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a31bb32bbb3dbe17db6230e905dfa4c64</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MPI_LNUM</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a6b31be916d6b6fd12c2829828e00bf2b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_MPI_COORD</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a2406c030aafe89e651121307b6f568f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_UNUSED</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a961ca5822e42e2143428e816674784c9</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_BEGIN_C_DECLS</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a71789c9ccbdca11f19a46267d64e3674</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_END_C_DECLS</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ad2607c850a936aaf57f8337c4e5fc7f6</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_BEGIN_EXAMPLE_SCOPE</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ab5125abbd1c5611d08d0db4d115cadd2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PLE_END_EXAMPLE_SCOPE</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>affe9daf13979b5f776ba6fd431e3aa46</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int</type>
      <name>ple_lnum_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a7adfec48d6a6239e7d3b19a738a9dfc5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>double</type>
      <name>ple_coord_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>aa1d59cae8d10ce6e3f259586e0ef8021</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>int()</type>
      <name>ple_printf_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ae13d7ca17882f616852c7d10750c6753</anchor>
      <arglist>(const char *const format, va_list arg_ptr)</arglist>
    </member>
    <member kind="typedef">
      <type>void()</type>
      <name>ple_error_handler_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a19bb3131b0b5fb1c029815ec937d7876</anchor>
      <arglist>(const char *file_name, const int line_num, const int sys_error_code, const char *format, va_list arg_ptr)</arglist>
    </member>
    <member kind="typedef">
      <type>void *()</type>
      <name>ple_mem_malloc_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a5113315f6687ef3f5c4267bbd93b686f</anchor>
      <arglist>(size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="typedef">
      <type>void *()</type>
      <name>ple_mem_realloc_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a293a3f97d89b3194e00272afe84518cf</anchor>
      <arglist>(void *ptr, size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="typedef">
      <type>void *()</type>
      <name>ple_mem_free_t</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>abc0cc60251e739cbb66c3e074dc5bd19</anchor>
      <arglist>(void *ptr, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_printf</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a564e6e016e0b0763ba4888c1a33c8ba9</anchor>
      <arglist>(const char *const format,...)</arglist>
    </member>
    <member kind="function">
      <type>ple_printf_t *</type>
      <name>ple_printf_function_get</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ad81909a66b36b8e6cc4034f364c0a42a</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_printf_function_set</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a81df74d67e5597bbccaa9db67916ce06</anchor>
      <arglist>(ple_printf_t *f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_error</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ac02623f4022cec82aa767f344d75e6e8</anchor>
      <arglist>(const char *file_name, const int line_num, const int sys_error_code, const char *format,...)</arglist>
    </member>
    <member kind="function">
      <type>ple_error_handler_t *</type>
      <name>ple_error_handler_get</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ac94318f5092b467aa64a1629b44f6a94</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_error_handler_set</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a8f1cecc343e231b9826d7e211d9e42f8</anchor>
      <arglist>(ple_error_handler_t *handler)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_malloc</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>aab73d5f565ba18445b39625f36825cfa</anchor>
      <arglist>(size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_realloc</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ab391c179a7cadb3f11a8eb265f723fb0</anchor>
      <arglist>(void *ptr, size_t ni, size_t size, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>ple_mem_free</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a936714011bb63007b68266c69f5f6410</anchor>
      <arglist>(void *ptr, const char *var_name, const char *file_name, int line_num)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_mem_functions_get</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a31b0f2af0f176cabd2b358d924dea6e9</anchor>
      <arglist>(ple_mem_malloc_t **malloc_func, ple_mem_realloc_t **realloc_func, ple_mem_free_t **free_func)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_mem_functions_set</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a6ceb5f2d75fe7e938852ba7df184aff9</anchor>
      <arglist>(ple_mem_malloc_t *malloc_func, ple_mem_realloc_t *realloc_func, ple_mem_free_t *free_func)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ple_timer_wtime</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>a7abd7099c63967393121b740fd406e9b</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>ple_timer_cpu_time</name>
      <anchorfile>ple__defs_8h.html</anchorfile>
      <anchor>ad95b1e8bad6caded50ed81fa614ed866</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_locator.c</name>
    <path>libple/src/</path>
    <filename>ple__locator_8c.html</filename>
    <includes id="ple__config__defs_8h" name="ple_config_defs.h" local="yes" imported="no">ple_config_defs.h</includes>
    <includes id="ple__defs_8h" name="ple_defs.h" local="yes" imported="no">ple_defs.h</includes>
    <includes id="ple__locator_8h" name="ple_locator.h" local="yes" imported="no">ple_locator.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>MPI_VERSION</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a5c91138b0df2f204e494c609e15e7ee1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HUGE_VAL</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>af2164b2db92d8a0ed3838ad5c28db971</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_MODULE</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a197dc4fc2047cf72841b65ca357bc61f</anchor>
      <arglist>(vect)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_LOCATE_BB_SENDRECV</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ac7a7ac5aeee429364cb17460caa40d4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_LOCATE_BB_SENDRECV_ORDERED</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ab250b005f07501668795692df7e29adc</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_EXCHANGE_SENDRECV</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a822aebb48ec60ed1711417afa1a0885c</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_EXCHANGE_ISEND_IRECV</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ac623192c2f7d020c65a360ae30687849</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>ple_locator_t *</type>
      <name>ple_locator_create</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a72845c5260e19d64393e1e1c7bc5dac5</anchor>
      <arglist>(MPI_Comm comm, int n_ranks, int start_rank)</arglist>
    </member>
    <member kind="function">
      <type>ple_locator_t *</type>
      <name>ple_locator_destroy</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a30ae0cd7f9ea8c7cd2b0c8f177e0c2df</anchor>
      <arglist>(ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_mesh</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a3a0112b45a6dabc7477b8ab8731334a8</anchor>
      <arglist>(ple_locator_t *this_locator, const void *mesh, const int *options, float tolerance_base, float tolerance_fraction, int dim, ple_lnum_t n_points, const ple_lnum_t point_list[], const int point_tag[], const ple_coord_t point_coords[], float distance[], ple_mesh_extents_t *mesh_extents_f, ple_mesh_elements_locate_t *mesh_locate_f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_extend_search</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a8310afef5520ca5504e4a4a19a1c145a</anchor>
      <arglist>(ple_locator_t *this_locator, const void *mesh, const int *options, float tolerance_base, float tolerance_fraction, ple_lnum_t n_points, const ple_lnum_t point_list[], const int point_tag[], const ple_coord_t point_coords[], float distance[], ple_mesh_extents_t *mesh_extents_f, ple_mesh_elements_locate_t *mesh_locate_f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_shift_locations</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a2afaf989dcac8deec30874372aaf0a48</anchor>
      <arglist>(ple_locator_t *this_locator, ple_lnum_t location_shift)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_dist_points</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ada3b75dbf577d3aa1e0993d5bc8df86f</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_dist_locations</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a192358f993ec96a8704545f0a30304cd</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_coord_t *</type>
      <name>ple_locator_get_dist_coords</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ad8e3c18a775d23d0d3a271b784fdf26d</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_interior</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a7de7372beec3a14e460a6ca3c8a46d68</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_interior_list</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a1dd0d292dbb0fd6daa7d9844eb0cf2d9</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_exterior</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a77c3ce0ff0ed138282887739674f53f5</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_exterior_list</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>aea06f863879fc74c7db76466bb612846</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_discard_exterior</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a5f34b68fbaeefb82395c1de6be142d9a</anchor>
      <arglist>(ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_exchange_point_var</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a2fc310ddc3a95628111b2cb241899d65</anchor>
      <arglist>(ple_locator_t *this_locator, void *distant_var, void *local_var, const ple_lnum_t *local_list, size_t type_size, size_t stride, int reverse)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_get_times</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ad327d488f7dc6d4b1fc79bf7b503383e</anchor>
      <arglist>(const ple_locator_t *this_locator, double *location_wtime, double *location_cpu_time, double *exchange_wtime, double *exchange_cpu_time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_get_comm_times</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ab9c09befdddb3c4def3a91c5a1a18f17</anchor>
      <arglist>(const ple_locator_t *this_locator, double *location_wtime, double *location_cpu_time, double *exchange_wtime, double *exchange_cpu_time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_dump</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a8817489bb8eb60921a87997ea0045d78</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_locator_get_async_threshold</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a5d53c909923b62447d34b80a318cfd11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_async_threshold</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>a5ad93a9246f4ef1d58f3008cd55c70b2</anchor>
      <arglist>(int threshold)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_comm_log</name>
      <anchorfile>ple__locator_8c.html</anchorfile>
      <anchor>ab64edbd58568fb8bb57c1d0b3e6c437b</anchor>
      <arglist>(ple_locator_log_t *log_function, int start_p_comm, int end_p_comm, int start_g_comm, int end_g_comm)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ple_locator.h</name>
    <path>libple/src/</path>
    <filename>ple__locator_8h.html</filename>
    <includes id="ple__defs_8h" name="ple_defs.h" local="yes" imported="no">ple_defs.h</includes>
    <member kind="typedef">
      <type>ple_lnum_t()</type>
      <name>ple_mesh_extents_t</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a020785606718dcf0e44b143c5af85526</anchor>
      <arglist>(const void *mesh, ple_lnum_t n_max_extents, double tolerance, double extents[])</arglist>
    </member>
    <member kind="typedef">
      <type>void()</type>
      <name>ple_mesh_elements_locate_t</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a7bfd39c8e586348a6ab729ac00920e7e</anchor>
      <arglist>(const void *mesh, float tolerance_base, float tolerance_fraction, ple_lnum_t n_points, const ple_coord_t point_coords[], const int point_tag[], ple_lnum_t location[], float distance[])</arglist>
    </member>
    <member kind="typedef">
      <type>int()</type>
      <name>ple_locator_log_t</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a1a3f77321e7367b420579248fcb3978d</anchor>
      <arglist>(int event, int data, const char *string)</arglist>
    </member>
    <member kind="enumeration">
      <type></type>
      <name>ple_locator_option_t</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>aaca583a8713fca51ad2eb79c48fc7a2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PLE_LOCATOR_NUMBERING</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>aaca583a8713fca51ad2eb79c48fc7a2eabb6dafbbc07775cf6b0d870c5be53bb1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PLE_LOCATOR_N_OPTIONS</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>aaca583a8713fca51ad2eb79c48fc7a2ea45cdb33551d5adec7652ddc367308fc4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>ple_locator_t *</type>
      <name>ple_locator_create</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a72845c5260e19d64393e1e1c7bc5dac5</anchor>
      <arglist>(MPI_Comm comm, int n_ranks, int start_rank)</arglist>
    </member>
    <member kind="function">
      <type>ple_locator_t *</type>
      <name>ple_locator_destroy</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a30ae0cd7f9ea8c7cd2b0c8f177e0c2df</anchor>
      <arglist>(ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_mesh</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ac9e3c60fc0394b424713f86deec87e7a</anchor>
      <arglist>(ple_locator_t *this_locator, const void *mesh, const int *options, float tolerance_base, float tolerance_fraction, int dim, ple_lnum_t n_points, const ple_lnum_t point_list[], const int point_tag[], const ple_coord_t point_coords[], float distance[], ple_mesh_extents_t *mesh_extents_f, ple_mesh_elements_locate_t *mesh_elements_locate_f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_extend_search</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a8310afef5520ca5504e4a4a19a1c145a</anchor>
      <arglist>(ple_locator_t *this_locator, const void *mesh, const int *options, float tolerance_base, float tolerance_fraction, ple_lnum_t n_points, const ple_lnum_t point_list[], const int point_tag[], const ple_coord_t point_coords[], float distance[], ple_mesh_extents_t *mesh_extents_f, ple_mesh_elements_locate_t *mesh_locate_f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_shift_locations</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a2afaf989dcac8deec30874372aaf0a48</anchor>
      <arglist>(ple_locator_t *this_locator, ple_lnum_t location_shift)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_dist_points</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ada3b75dbf577d3aa1e0993d5bc8df86f</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_dist_locations</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a192358f993ec96a8704545f0a30304cd</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_coord_t *</type>
      <name>ple_locator_get_dist_coords</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ad8e3c18a775d23d0d3a271b784fdf26d</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_interior</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a7de7372beec3a14e460a6ca3c8a46d68</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_interior_list</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a1dd0d292dbb0fd6daa7d9844eb0cf2d9</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>ple_lnum_t</type>
      <name>ple_locator_get_n_exterior</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a77c3ce0ff0ed138282887739674f53f5</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>const ple_lnum_t *</type>
      <name>ple_locator_get_exterior_list</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>aea06f863879fc74c7db76466bb612846</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_discard_exterior</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a5f34b68fbaeefb82395c1de6be142d9a</anchor>
      <arglist>(ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_exchange_point_var</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a2fc310ddc3a95628111b2cb241899d65</anchor>
      <arglist>(ple_locator_t *this_locator, void *distant_var, void *local_var, const ple_lnum_t *local_list, size_t type_size, size_t stride, int reverse)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_get_times</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ad327d488f7dc6d4b1fc79bf7b503383e</anchor>
      <arglist>(const ple_locator_t *this_locator, double *location_wtime, double *location_cpu_time, double *exchange_wtime, double *exchange_cpu_time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_get_comm_times</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ab9c09befdddb3c4def3a91c5a1a18f17</anchor>
      <arglist>(const ple_locator_t *this_locator, double *location_wtime, double *location_cpu_time, double *exchange_wtime, double *exchange_cpu_time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_dump</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a8817489bb8eb60921a87997ea0045d78</anchor>
      <arglist>(const ple_locator_t *this_locator)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>ple_locator_get_async_threshold</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a5d53c909923b62447d34b80a318cfd11</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_async_threshold</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>a5ad93a9246f4ef1d58f3008cd55c70b2</anchor>
      <arglist>(int threshold)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ple_locator_set_comm_log</name>
      <anchorfile>ple__locator_8h.html</anchorfile>
      <anchor>ab64edbd58568fb8bb57c1d0b3e6c437b</anchor>
      <arglist>(ple_locator_log_t *log_function, int start_p_comm, int end_p_comm, int start_g_comm, int end_g_comm)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>ple_coupling_mpi_set_info_t</name>
    <filename>structple__coupling__mpi__set__info__t.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>status</name>
      <anchorfile>structple__coupling__mpi__set__info__t.html</anchorfile>
      <anchor>a6e27f49150e9a14580fb313cc2777e00</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>root_rank</name>
      <anchorfile>structple__coupling__mpi__set__info__t.html</anchorfile>
      <anchor>ace434183b1bda4cfa90a928aea293abe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>n_ranks</name>
      <anchorfile>structple__coupling__mpi__set__info__t.html</anchorfile>
      <anchor>a15b66a28878f2ee2a8fbe9b87f7581eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>app_type</name>
      <anchorfile>structple__coupling__mpi__set__info__t.html</anchorfile>
      <anchor>a7508aeff6da8d14c4970c41b060187c9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>app_name</name>
      <anchorfile>structple__coupling__mpi__set__info__t.html</anchorfile>
      <anchor>a7cf1ea5e87740f6cff319842196971cf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>PLE (Parallel Location and Exchange) documentation</title>
    <filename>index.html</filename>
    <docanchor file="index.html">mainpage_ple</docanchor>
    <docanchor file="index.html" title="Introduction">intro</docanchor>
    <docanchor file="index.html" title="PLE Coupling API">ple_coupling</docanchor>
    <docanchor file="index.html" title="PLE Locator subset">ple_locator</docanchor>
    <docanchor file="index.html" title="Example">example</docanchor>
    <docanchor file="index.html" title="Communicators and ple_coupling API.">ple_ex_coupling</docanchor>
    <docanchor file="index.html" title="Mesh location, variable exchange, and ple_locator API.">ple_ex_locator</docanchor>
  </compound>
</tagfile>
